Abdellah Abdellah - 1 month ago 31
Android Question

Gradle Sync failed could not find constraint-layout:1.0.0-alpha2

Problem :

Error:Could not find com.android.support.constraint:constraint-layout:1.0.0-alpha2.
Required by:
myapp:app:unspecified


Background :
Android Studio 2.2 P 1

Answer

The fix is to update the android gradle plugin in your build.gradle.

This should work: classpath 'com.android.tools.build:gradle:2.2.0-alpha2'

Or you can use the latest: classpath 'com.android.tools.build:gradle:2.2.0-alpha3'

Comments